batch_job_info Struct Reference

Describes a batch job when it has completed. More...

`#include <batch_job_info.h>`

## Data Fields

time_t | submitted
| Time the job was submitted to the system.
time_t | started
| Time the job actually began executing.
time_t | finished
| Time at which the job actually completed.
time_t | heartbeat
| Time the job last wrote heartbeat.
int | exited_normally
| Non-zero if the job ran to completion, zero otherwise.
int | exit_code
| The result code of the job, if it exited normally.
int | exit_signal
| The signal by which the job was killed, if it exited abnormally.
int | disk_allocation_exhausted
| Non-zero if the job filled its loop device allocation to capacity, zero otherwise.
long | log_pos
| Last read position in the log file, for ftell and fseek.

## Detailed Description

Describes a batch job when it has completed.

## Field Documentation

## submitted

time_t batch_job_info::submitted

Time the job was submitted to the system.

## started

time_t batch_job_info::started

Time the job actually began executing.

## finished

time_t batch_job_info::finished

Time at which the job actually completed.

## heartbeat

time_t batch_job_info::heartbeat

Time the job last wrote heartbeat.

(only for batch_queue_cluster)

## exited_normally

int batch_job_info::exited_normally

Non-zero if the job ran to completion, zero otherwise.

## exit_code

int batch_job_info::exit_code

The result code of the job, if it exited normally.

## exit_signal

int batch_job_info::exit_signal

The signal by which the job was killed, if it exited abnormally.

## disk_allocation_exhausted

int batch_job_info::disk_allocation_exhausted

Non-zero if the job filled its loop device allocation to capacity, zero otherwise.

## log_pos

long batch_job_info::log_pos

Last read position in the log file, for ftell and fseek.

(only for batch_queue_cluster)

The documentation for this struct was generated from the following file:

- batch_job_info.h